Get Task Agent Revision

Retrieve an immutable executable revision for a Task Agent. The response includes the runtime configuration and concrete pinned attachments stored on that revision.

Authentication

AuthorizationBearer

Bearer token authentication using JWT tokens from Ory Kratos/Hydra

Path parameters

org_idstringRequiredformat: "uuid"
The organization ID
project_idstringRequiredformat: "uuid"
The project ID
task_agent_idstringRequiredformat: "uuid"
The task agent ID
revision_idstringRequiredformat: "uuid"

Response

Task Agent revision
idstringformat: "uuid"
task_agent_idstringformat: "uuid"
descriptionstring or null
instructionstring
modeenum
Execution mode for TaskAgent.
llm_model_idstring or nullformat: "uuid"
fallback_llm_model_idstring or nullformat: "uuid"
createdstring
llm_modelobject or null
fallback_llm_modelobject or null
task_toolslist of objects
integrationslist of objects
skillslist of objects
mcp_serverslist of objects
registered_toolslist of objects
tagslist of objects
memory_strategystring or null
memory_configmap from strings to any or null
max_turnsinteger or null
activebooleanDefaults to false
modifiedstring or null

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error